@font-face {
  src: url(fonts/handjet/Handjet-Regular.ttf);
  font-family: Handjet;
}

@font-face {
  font-family: PatrickHand;
  src: url(fonts/patrickhand/PatrickHand-Regular.ttf);
}

.mainbg {
    position: relative;
    display: block;
    background-image: url(img/sketchbook/deskdither.png);
    background-repeat: no-repeat;
    background-size: 100% 100%;
    width: 100%;
    height: clamp(100px, 80vw, 800px);
}

#laptop {
    z-index: 2;
    position: absolute;
    width: 100%;
    bottom: 0;
    right: 0;
    filter: drop-shadow(0px 0px 10px #d01887);
}

iframe {
    z-index: 999;
    position: absolute;
    width: 57%;
    top: 16%;
    height: 46%;
    left: 20%;
    border-color: transparent;
}
.tradiframe::-webkit-scrollbar {
    width: 0;
    background: transparent;
}

.tradiframe::-webkit-scrollbar-thumb {
    background: transparent;
}

#digilogo {
    left: 0;
    width: 50%;
    z-index: 9999;
    top: 9%;
    position: absolute;
    filter: drop-shadow(0px 5px 10px #fff0bd);
   animation: heartbeat 2s ease-in-out infinite; 
}

@keyframes heartbeat {
  0% {
    transform: scale(1) rotate(-15deg);
  }
  50% {
    transform: scale(1.1) rotate(-20deg);
  }
  100% {
    transform: scale(1) rotate(-15deg);
  }
}

#glitterstripe {
    display: block;
    width: 100%;
    margin: 0 auto;
}

.artlist {
    background-image: url(bg/sparkl.gif);
    width: 100%;
    height: 185px;
    overflow-x: scroll;
    display: flex;
    gap: 15px;
    padding: 15px;
    box-sizing: border-box;
}

.artlist img {
    width: 150px;
    height: auto;
    filter:grayscale(100%);
}

.thumb {
    transition: 0.5s ease;
    box-shadow: 0px 0px 20px #ff0c9e;
}

.thumb:hover {
    filter:grayscale(0%);
    transform: scale(1.1);
}

.artlist::-webkit-scrollbar {
height: 10px
}

.artlist::-webkit-scrollbar-track {
background: linear-gradient(180deg, #e1cbd7, #ffe7f5 20%);
 border-top: 1px solid #c33072;
}

.artlist::-webkit-scrollbar-thumb {
background: linear-gradient(180deg,  rgb(122, 27, 79) 0%, rgb(255, 194, 219) 28%, rgb(238, 138, 190) 55%, rgb(252, 202, 239) 87%);
  border-top: 1px solid #c33072;
}

#bartitle {
        font-family: 'Courier New', Courier, monospace;
        font-weight: bold;
        font-style: italic;
        line-height: 0;
        background-image: url(divs/checkdiv.gif);
}


.mainbg a {
    z-index: 999;
    left: 3%;
    top: 3%;
    position: absolute;
    display: inline-block;
    font-family: Handjet;
    color: #c23670;
    background-color: #fff0bdc9;
    text-decoration: none;
    transition: color 0.2s ease;
    transition: background-color 0.3 ease-in-out;
    border-radius: 5px;
}

.mainbg a:visited {
    color: #c23670;
}

.mainbg a:hover {
    color: #ff9ccc;
    text-decoration: underline;
    background-color: #faf5c6;
}

.mainbg a:active {
    color: #faf5c6;
    background-color: #4b0425;
}

#godigi {
    top: 8%;
}

#earphones {
    position: absolute;
    top:10%;
    left: 0;
    z-index: 0;
    width: 90%;
    transform: rotate(-30deg);
}

#mouse {
    transform: rotate(189deg);
    position: absolute;
    z-index: 1;
    width: 14%;
    bottom: 25%;
    left: 5%;
}

.logocont {
    position: relative;
    width: 100%;
}

#logobg {
    position: relative;
    height: auto;
    width: 100%;
}

#logo {
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    filter: drop-shadow(0px 5px 10px #c9167e);

    animation: float 3s ease-in-out infinite;
}

@keyframes float {
    0% {
    transform: translateY(0);
    }

    50% {
    transform: translateY(-20px);
    }

    100% {
    transform: translateY(0);
    }}

#clickpic {
    position: absolute;
    z-index: 9999;
    width: 60%;
    bottom: 30%;
    right: 19%;
    filter: drop-shadow(0px 5px 10px #fff0bd);
}


.bottom {
  position: relative;
  width: 100%;
  height: clamp(100px, 33vw, 330px);
  background-image: url(bg/corkboard.png);
  box-shadow: 0px 5px 10px #8b0a51;
  border-radius: 20px;
}

#pil {
  position: absolute;
  left: 5%;
  top: 5%;
  width: 30%;
  box-shadow: 0px 0px 10px #faf5c6;
}

#corkmess {
    box-shadow: 0px 5px 10px #c9167e;
  padding: 10px;
  font-size: 0.9rem;
  position: absolute;
  right: 5%;
  top: 10%;
  width: 55%;
  font-family: PatrickHand;
  height: 65%;
  overflow-y: scroll;
  color: #8b0a51;
  background-image: url(img/sketchbook/yellowpadbg.png);
}

#corkmess::-webkit-scrollbar {
  width: 8px;
  }

#corkmess::-webkit-scrollbar-track {
  background-color: rgba(228, 228, 228, 0.714);
  -webkit-border-radius: 10px;
  border-radius: 10px;
  border: 1px solid #e4539ba4;
  }

#corkmess::-webkit-scrollbar-thumb {
  -webkit-border-radius: 10px;
  border-radius: 10px;
  background:  #faf5c6;
  border: 1px solid #e26b97;
  }
